<?php
/**
 * The template for displaying the footer
 *
 * Contains the closing of the #content div and all content after.
 *
 * @link https://developer.wordpress.org/themes/basics/template-files/#template-partials
 *
 * @package WordPress
 * @subpackage Atavist
 * @since 1.0.0
 */

?>

	</div><!-- #content -->

	
	<?php if ( has_nav_menu( 'social' ) && (!is_singular() || is_front_page()) ) : ?>
		<div class="wrap">
		<nav class="social-navigation" aria-label="<?php esc_attr_e( 'Social Links Menu', 'atavist' ); ?>">
			<?php
			wp_nav_menu(
				array(
					'theme_location' => 'social',
					'menu_class'     => 'social-links-menu',
					'link_before'    => '<span class="screen-reader-text">',
					'link_after'     => '</span>' . atavist_get_icon_svg( 'link' ),
					'depth'          => 1,
				)
			);
			?>
		</nav><!-- .social-navigation -->
		</div>
	<?php endif; ?>
	
	<footer id="colophon" class="site-footer">
	
		<div class="footer-widget-wrap wrap">
			<?php get_template_part( 'template-parts/footer/footer', 'widgets' ); ?>
		</div>

		<div class="site-info wrap">
			<?php do_action('atavist_site_info'); ?>

			<?php
			if ( function_exists( 'the_privacy_policy_link' ) ) {
				the_privacy_policy_link( '', '<span role="separator" aria-hidden="true"></span>' );
			}
			?>
			<?php if ( has_nav_menu( 'footer' ) ) : ?>
				<nav class="footer-navigation" aria-label="<?php esc_attr_e( 'Footer Menu', 'atavist' ); ?>">
					<?php
					wp_nav_menu(
						array(
							'theme_location' => 'footer',
							'menu_class'     => 'footer-menu',
							'depth'          => 1,
						)
					);
					?>
				</nav><!-- .footer-navigation -->
			<?php endif; ?>
		</div><!-- .site-info -->
	</footer><!-- #colophon -->

</div><!-- #page -->

<?php wp_footer(); ?>

</body>
</html>
