<?php
/**
 * The main template file
 *
 * This is the most generic template file in a WordPress theme
 * and one of the two required files for a theme (the other being style.css).
 * It is used to display a page when nothing more specific matches a query.
 * E.g., it puts together the home page when no home.php file exists.
 *
 * @link https://developer.wordpress.org/themes/basics/template-hierarchy/
 *
 * @package WordPress
 * @subpackage Atavist
 * @since 1.0.0
 */

get_header();
?>
<div class="wrap">
	<section id="primary" class="content-area">
		<main id="main" class="site-main">

		<?php
		if ( have_posts() ) {

			// Load posts loop.
			while ( have_posts() ) {
				the_post();
				get_template_part( 'template-parts/content/content' );
			}

			// Previous/next page navigation.
			atavist_the_posts_navigation();

		} else {

			// If no content, include the "No posts found" template.
			get_template_part( 'template-parts/content/content', 'none' );

		}
		?>
		
		</main><!-- .site-main -->
	</section><!-- .content-area -->

	<section id="secondary" class="widgets-area">
		<?php if ( is_active_sidebar( 'sidebar-1' ) ) : ?>

		<aside class="widget-area" role="complementary" aria-label="<?php esc_attr_e( 'Footer', 'atavist' ); ?>">
			<?php
			if ( is_active_sidebar( 'sidebar-1' ) ) {
				?>
						<div class="widget-column footer-widget-1">
						<?php dynamic_sidebar( 'sidebar-1' ); ?>
						</div>
					<?php
			}
			?>
		</aside><!-- .widget-area -->

		<?php endif; ?>
	</section><!-- #Secondary -->
</div>
<?php
get_footer();
