<?php
/**
 * The template for displaying all single posts
 *
 * @link https://developer.wordpress.org/themes/basics/template-hierarchy/#single-post
 *
 * @package WordPress
 * @subpackage Atavist
 * @since 1.0.0
 */

get_header();
?>
<div class="wrap">
	<section id="primary" class="content-area">
		<main id="main" class="site-main">

			<?php

			/* Start the Loop */
			while ( have_posts() ) :
				the_post();

				get_template_part( 'template-parts/content/content', 'page' );

				// If comments are open or we have at least one comment, load up the comment template.
				if ( comments_open() || get_comments_number() ) {
					comments_template();
				}

			endwhile; // End of the loop.
			?>

		</main><!-- #main -->
	</section><!-- #primary -->

	<section id="secondary" class="widgets-area">
		<?php if ( is_active_sidebar( 'sidebar-1' ) ) : ?>

		<aside class="widget-area" role="complementary" aria-label="<?php esc_attr_e( 'Footer', 'atavist' ); ?>">
			<?php
			if ( is_active_sidebar( 'sidebar-1' ) ) {
				?>
						<div class="widget-column footer-widget-1">
						<?php dynamic_sidebar( 'sidebar-1' ); ?>
						</div>
					<?php
			}
			?>
		</aside><!-- .widget-area -->

		<?php endif; ?>
	</section><!-- #Secondary -->
</div>
<?php
get_footer();
